package com.jiuqi.util;

import java.io.BufferedInputStream;
import java.io.BufferedOutputStream;
import java.io.DataInputStream;
import java.io.DataOutputStream;
import java.io.EOFException;
import java.io.File;
import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.io.IOException;

public class EncryptUtil {
   public static char ENCRYPT_KEY = '\t';

   private EncryptUtil() {
   }

   public static boolean encryptFile(String inFile, String outFile) {
      return encryptFile(new File(inFile), new File(outFile));
   }

   public static boolean encryptFile(DataInputStream in, DataOutputStream out) {
      boolean result = false;
      char key = ENCRYPT_KEY;

      try {
         while(true) {
            try {
               byte b = in.readByte();
               byte k = (byte)(key >>> 8);
               b ^= k;
               key = (char)(key + (b & 255));
               out.writeByte(b);
            } catch (EOFException var15) {
               result = true;
               break;
            }
         }
      } catch (Exception var16) {
         Exception e = var16;
         e.printStackTrace();
         result = false;
      } finally {
         try {
            in.close();
            out.close();
         } catch (Exception var14) {
         }

      }

      return result;
   }

   public static boolean encryptFile(File inFile, File outFile) {
      DataInputStream in = null;
      DataOutputStream out = null;
      boolean result = false;
      char key = ENCRYPT_KEY;
      if (!outFile.exists()) {
         try {
            outFile.createNewFile();
         } catch (IOException var19) {
            IOException e = var19;
            e.printStackTrace();
            return false;
         }
      }

      if (!inFile.exists()) {
         System.out.println("加密操作失败:待加密文件不存在。");
         return false;
      } else {
         try {
            in = new DataInputStream(new BufferedInputStream(new FileInputStream(inFile)));
            out = new DataOutputStream(new BufferedOutputStream(new FileOutputStream(outFile)));

            while(true) {
               try {
                  byte b = in.readByte();
                  byte k = (byte)(key >>> 8);
                  b ^= k;
                  key = (char)(key + (b & 255));
                  out.writeByte(b);
               } catch (EOFException var20) {
                  result = true;
                  break;
               }
            }
         } catch (Exception var21) {
            Exception e = var21;
            e.printStackTrace();
            result = false;
         } finally {
            try {
               if (in != null) {
                  in.close();
               }

               if (out != null) {
                  out.close();
               }
            } catch (Exception var18) {
               Exception e = var18;
               e.printStackTrace();
            }

         }

         return result;
      }
   }

   public static boolean decryptFile(String inFile, String outFile) {
      return decryptFile(new File(inFile), new File(outFile));
   }

   public static boolean decryptFile(File inFile, File outFile) {
      boolean result = false;
      char key = ENCRYPT_KEY;
      DataInputStream in = null;
      DataOutputStream out = null;
      if (!outFile.exists()) {
         try {
            outFile.createNewFile();
         } catch (IOException var19) {
            IOException e = var19;
            e.printStackTrace();
            return false;
         }
      }

      if (!inFile.exists()) {
         System.out.println("解密操作失败:待解密文件不存在。");
         return false;
      } else {
         try {
            in = new DataInputStream(new BufferedInputStream(new FileInputStream(inFile)));
            out = new DataOutputStream(new BufferedOutputStream(new FileOutputStream(outFile)));

            while(true) {
               try {
                  byte temp = in.readByte();
                  byte b = temp;
                  byte tk = (byte)(key >>> 8);
                  temp ^= tk;
                  key = (char)(key + (b & 255));
                  out.writeByte(temp);
               } catch (EOFException var20) {
                  result = true;
                  break;
               }
            }
         } catch (Exception var21) {
            Exception e = var21;
            e.printStackTrace();
            result = false;
         } finally {
            try {
               if (in != null) {
                  in.close();
               }

               if (out != null) {
                  out.close();
               }
            } catch (Exception var18) {
               Exception e = var18;
               e.printStackTrace();
            }

         }

         return result;
      }
   }

   public static boolean decryptFile(DataInputStream in, DataOutputStream out) {
      boolean result = false;
      char key = ENCRYPT_KEY;

      try {
         while(true) {
            try {
               byte temp = in.readByte();
               byte b = temp;
               byte tk = (byte)(key >>> 8);
               temp ^= tk;
               key = (char)(key + (b & 255));
               out.writeByte(temp);
            } catch (EOFException var15) {
               result = true;
               break;
            }
         }
      } catch (Exception var16) {
         Exception e = var16;
         e.printStackTrace();
         result = false;
      } finally {
         try {
            in.close();
            out.close();
         } catch (Exception var14) {
         }

      }

      return result;
   }
}
